
StocksAndFisheriesKB - Bug #12036

Error while updating GRSF records

Jun 26, 2018 12:11 PM - Yannis Marketakis

Status: Closed Start date: Jun 26, 2018

Priority: Normal Due date:  

Assignee: Luca Frosini % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The following error occurred while updating several GRSF records (around 100 of them failed)

java.lang.Exception: Method failed: HTTP/1.1 500 Internal Server Error; Response body:

{"id":null,"knowledge_base_id":null,"product_url":null,"error":"You are not authorized to create a product. Please check you have the

Catalogue-Administrator role!"}

at gr.forth.ics.isl.grsfservicescore.GrsfPublisher.updateRecord(GrsfPublisher.java:151)

at gr.forth.ics.isl.grsfservicescore.clients.UpdateClient.updateRecords(UpdateClient.java:631)

at gr.forth.ics.isl.grsfservicescore.clients.UpdateClient.updateGrsfStocks(UpdateClient.java:219)

at gr.forth.ics.isl.grsfservicescore.clients.UpdateClient.main(UpdateClient.java:773)

2018-06-25 13:59:52 ERROR UpdateClient:644 - An error occured while re-publishing stock records for grsf

gr.forth.ics.isl.grsfservicescore.exception.GrsfPublishingException: Fatal transport error

at gr.forth.ics.isl.grsfservicescore.GrsfPublisher.updateRecord(GrsfPublisher.java:161)

at gr.forth.ics.isl.grsfservicescore.clients.UpdateClient.updateRecords(UpdateClient.java:631)

at gr.forth.ics.isl.grsfservicescore.clients.UpdateClient.updateGrsfStocks(UpdateClient.java:219)

at gr.forth.ics.isl.grsfservicescore.clients.UpdateClient.main(UpdateClient.java:773)

Caused by: java.lang.Exception: Method failed: HTTP/1.1 500 Internal Server Error; Response body:

{"id":null,"knowledge_base_id":null,"product_url":null,"error":"You are not authorized to create a product. Please check you have the

Catalogue-Administrator role!"}

at gr.forth.ics.isl.grsfservicescore.GrsfPublisher.updateRecord(GrsfPublisher.java:151)

... 3 more

Related issues:

Related to StocksAndFisheriesKB - Task #11973: Please start the submission of... Closed Jun 18, 2018

Related to D4Science Infrastructure - Task #11982: Increase RAM on ckan-grsf-... Closed Jun 19, 2018

History

#1 - Jun 26, 2018 01:00 PM - Yannis Marketakis

- Related to Task #11973: Please start the submission of GRSF from Knowledge base. added

#2 - Jun 26, 2018 02:23 PM - Luca Frosini

Can you please provide me the json of the records you want to update?

Can you also provide me your token (via another private channel)

#3 - Jun 26, 2018 02:37 PM - Yannis Marketakis

- File a0e90de7-0169-3ed1-9c12-135952b244af.json added

Attached you will find an indicative record that had failed.

FYI: I managed to update ~ 2000 GRSF records and ~ 100 failed to update

I'm sending you my token on skype

#4 - Jun 26, 2018 03:05 PM - Luca Frosini

- Status changed from New to In Progress

@marketak@ics.forth.gr told me that it works on retrying. Maybe this is related to the provided hardware resources.

#5 - Jun 26, 2018 03:05 PM - Luca Frosini
- Related to Incident #12043: ckan-grsf-admin2: more memory is needed added

#6 - Jun 26, 2018 03:09 PM - Luca Frosini

- Related to deleted (Incident #12043: ckan-grsf-admin2: more memory is needed)

#7 - Jun 26, 2018 03:10 PM - Luca Frosini

- Related to Task #11982: Increase RAM on ckan-grsf-admin2.d4science.org added

#8 - Jun 26, 2018 06:13 PM - Luca Frosini

- Status changed from In Progress to Paused

Maybe this issue is related with the HW resources which during massive submission are very stressed.

I'm pausing the ticket so we already have it for next publishing if it happens again.

#9 - Jun 26, 2018 06:22 PM - Luca Frosini

Please note that the creation/update of attached resources (the files) is an asynchronous task, so even you serialize the requests the service, as well

as CKAN are still working to complete the previous request.

#10 - Jun 26, 2018 06:23 PM - Luca Frosini

Here you can find the record

http://data.d4science.org/ctlg/GRSF_Admin/a0e90de7-0169-3ed1-9c12-135952b244af

#11 - Jun 27, 2018 09:31 AM - Yannis Marketakis

I think that it is hard to reproduce the same problem.

It only appeared within a 5-minute window during the update GRSF records process (that lasted approximately 4 hours).

Therefore if it is OK, I can try to update the missing errors (~ 100)

#12 - Jun 27, 2018 03:31 PM - Yannis Marketakis

I confirm that I managed to update the problematic records without any issues

#13 - Jun 27, 2018 04:57 PM - Luca Frosini

- Status changed from Paused to Closed

- % Done changed from 0 to 100

I'm going to close this ticket. We will reopen a new one if it happens again. Thank a lot @marketak@ics.forth.gr 

#14 - Jun 28, 2018 10:42 AM - Yannis Marketakis

I agree! Thanks for your support!

#15 - Jul 26, 2018 02:08 PM - Luca Frosini

- Project changed from 8 to StocksAndFisheriesKB

- Category deleted (Default)

- Target version deleted (Unsprintable )

#16 - Jul 26, 2018 02:19 PM - Luca Frosini

- Tracker changed from Task to Bug

Files

a0e90de7-0169-3ed1-9c12-135952b244af.json 13.3 KB Jun 26, 2018 Yannis Marketakis
